Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.util
Class WKB

`java.lang.Object
oracle.spatial.util.WKBasis
oracle.spatial.util.WKB`

All Implemented Interfaces:
  WKAdapter

public class WKB
extends WKBasis
implements WKAdapter

Nested Class Summary
`protected class` | `WKB.WKBInputStream`

Nested classes inherited from class oracle.spatial.util.WKBasis
`WKBasis.VectorOfDouble, WKBasis.VectorOfInt`

Field Summary

Fields inherited from class oracle.spatial.util.WKBasis
`LABEL_WKB_CIRCULARSTRING, LABEL_WKB_COMPOUNDCURVE, LABEL_WKB_CURVEPOLYGON, LABEL_WKB_GEOMETRYCOLLECTION, LABEL_WKB_LINESTRING, LABEL_WKB_MULTICURVE, LABEL_WKB_MULTILINESTRING, LABEL_WKB_MULTIPOINT, LABEL_WKB_MULTIPOLYGON, LABEL_WKB_MULTISURFACE, LABEL_WKB_POINT, LABEL_WKB_POLYGON, m_defaultByteOrder`

Constructor Summary
`WKB()`
`WKB(ByteOrder defaultByteOrder)`

Method Summary
`protected WKInputStream` | `getWKInputStream(byte[] wkb)`
`protected void` | `writeBeginningOfList(ByteOrder byteOrder, java.io.DataOutputStream out, int length)`
`protected void` | `writeBeginningOfList(java.io.DataOutputStream out)`
`protected void` | `writeByte(java.io.DataOutputStream out, int b)`
`protected void` | `writeByteOrder(java.io.DataOutputStream out)`
`protected void` | `writeCoordPairSeparator(java.io.DataOutputStream out)`
`protected void` | `writeDouble(ByteOrder byteOrder, java.io.DataOutputStream out, double value)`
`protected void` | `writeEndOfList(java.io.DataOutputStream out)`
`protected void` | `writeGeometrySeparator(java.io.DataOutputStream out)`
`protected void` | `writeLabel(java.io.DataOutputStream out, int label, int outerLabel, ByteOrder byteOrder)`
`protected void` | `writeUInt32(ByteOrder byteOrder, java.io.DataOutputStream out, int value)`
`protected void` | `writeXYSeparator(java.io.DataOutputStream out)`

Methods inherited from class oracle.spatial.util.WKBasis
`determineCenterAndRadiusForArc, fromJGeometry_CollectionElement, fromJGeometry_ETYPE_1_1, fromJGeometry_ETYPE_1_n, fromJGeometry_ETYPE_2_1, fromJGeometry_ETYPE_2_2, fromJGeometry_ETYPE_2, fromJGeometry_ETYPE_4_n, fromJGeometry_ETYPE_x003_optimized_circle, fromJGeometry_ETYPE_x003_optimized_rectangle, fromJGeometry_ETYPE_x003, fromJGeometry_GTYPE_COLLECTION, fromJGeometry_GTYPE_CURVE, fromJGeometry_GTYPE_MULTICURVE, fromJGeometry_GTYPE_MULTIPOINT, fromJGeometry_GTYPE_MULTIPOLYGON, fromJGeometry_GTYPE_POINT, fromJGeometry_GTYPE_POLYGON, fromJGeometry, fromJGeometry, fromSTRUCT, getEndPosInOrdinateArray, getStartPosInOrdinateArray, hasType, MDCGEQ, readByteOrder, readDouble, readEndList, readLabel, readSeparator, readStartList, readStartList, toJGeometry_WKB_CIRCULARSTRING, toJGeometry_WKB_COLLECTION, toJGeometry_WKB_CURVEPOLYGON, toJGeometry_WKB_LINESTRING, toJGeometry_WKB_MULTICURVE, toJGeometry_WKB_MULTILINESTRING, toJGeometry_WKB_MULTIPOINT, toJGeometry_WKB_MULTIPOLYGON, toJGeometry_WKB_MULTISURFACE, toJGeometry_WKB_MULTIXXXPOLYGON, toJGeometry_WKB_MULTIXXXSTRING, toJGeometry_WKB_POINT, toJGeometry_WKB_POLYGON, toJGeometry_WKB_XXXPOLYGON, toJGeometry_WKB_XXXSTRING, toJGeometry, toJGeometry, toSTRUCT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.spatial.util.WKAdapter
`fromJGeometry, fromSTRUCT, toJGeometry, toSTRUCT`

Constructor Detail

### WKB

    public WKB(ByteOrder defaultByteOrder)

### WKB

    public WKB()

Method Detail

### getWKInputStream

    protected WKInputStream getWKInputStream(byte[] wkb)

  Specified by:
    `getWKInputStream` in class `WKBasis`

### writeDouble

    protected void writeDouble(ByteOrder byteOrder,
                               java.io.DataOutputStream out,
                               double value)
                        throws GeometryExceptionWithContext

  Specified by:
    `writeDouble` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeUInt32

    protected void writeUInt32(ByteOrder byteOrder,
                               java.io.DataOutputStream out,
                               int value)
                        throws GeometryExceptionWithContext

  Throws:
    `GeometryExceptionWithContext`

### writeByteOrder

    protected void writeByteOrder(java.io.DataOutputStream out)
                           throws GeometryExceptionWithContext

  Specified by:
    `writeByteOrder` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeLabel

    protected void writeLabel(java.io.DataOutputStream out,
                              int label,
                              int outerLabel,
                              ByteOrder byteOrder)
                       throws GeometryExceptionWithContext

  Specified by:
    `writeLabel` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeCoordPairSeparator

    protected void writeCoordPairSeparator(java.io.DataOutputStream out)
                                    throws GeometryExceptionWithContext

  Specified by:
    `writeCoordPairSeparator` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeGeometrySeparator

    protected void writeGeometrySeparator(java.io.DataOutputStream out)
                                   throws GeometryExceptionWithContext

  Specified by:
    `writeGeometrySeparator` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeXYSeparator

    protected void writeXYSeparator(java.io.DataOutputStream out)
                             throws GeometryExceptionWithContext

  Specified by:
    `writeXYSeparator` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeBeginningOfList

    protected void writeBeginningOfList(ByteOrder byteOrder,
                                        java.io.DataOutputStream out,
                                        int length)
                                 throws GeometryExceptionWithContext

  Specified by:
    `writeBeginningOfList` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeBeginningOfList

    protected void writeBeginningOfList(java.io.DataOutputStream out)
                                 throws GeometryExceptionWithContext

  Specified by:
    `writeBeginningOfList` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeEndOfList

    protected void writeEndOfList(java.io.DataOutputStream out)
                           throws GeometryExceptionWithContext

  Specified by:
    `writeEndOfList` in class `WKBasis`
  Throws:
    `GeometryExceptionWithContext`

### writeByte

    protected void writeByte(java.io.DataOutputStream out,
                             int b)
                      throws GeometryExceptionWithContext

  Throws:
    `GeometryExceptionWithContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.